> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ReportLabelLayout

> This archive provider enables access to the information regarding report label layout.

## "ReportLabelLayout"

This provider name is implemented by the class <see cref="T:SuperOffice.CRM.ArchiveLists.ReportLabelLayoutProvider">SuperOffice.CRM.ArchiveLists.ReportLabelLayoutProvider</see> inside NetServer's SODatabase assembly.

This archive provider enables access to the information regarding report label layout.

## Supported Entities

| Name                | Description       |
| ------------------- | ----------------- |
| "reportLabelLayout" | reportLabelLayout |

## Supported Columns

| Name          | Restriction | Description                                                                             | OrderBy |
| ------------- | ----------- | --------------------------------------------------------------------------------------- | ------- |
| getAllRows    | bool        | GetAll: Get all rows of archive - use with care, you may be fetching the whole database |         |
| getNoRows     | bool        | GetNone: Do not get any rows from the archive                                           |         |
| labelLayoutId | *None*      | labelLayoutId                                                                           |         |
| name          | *None*      | Name                                                                                    |         |
| description   | *None*      | Description                                                                             |         |
| layout        | *None*      | Layout                                                                                  |         |
| papersize     | *None*      | Paper size                                                                              |         |
| orientation   | *None*      | Orientation                                                                             |         |

## Sample

```http! theme={null}
GET /api/v1/archive/ReportLabelLayout?$select=labelLayoutId,description
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv

```

See also: <see cref="T:SuperOffice.CRM.Services.IArchiveAgent">IArchiveAgent</see>.


## Related topics

- [SuperOffice.WebApi.Data.ReportLabelLayoutEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.ReportLabelLayoutEntity.md)
- [SuperOffice.WebApi.Agents.ReportAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.ReportAgent.md)
- [SuperOffice.WebApi.Agents.IReportAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IReportAgent.md)
- [NSReportLabelLayoutEntity](/en/automation/crmscript/reference/CRMScript.NetServer.NSReportLabelLayoutEntity.md)
- [Delete Report Label Layout Entity](/en/api/reference/restful/agent/report_agent/delete-report-label-layout-entity.md)
- [Save Report Label Layout Entity](/en/api/reference/restful/agent/report_agent/save-report-label-layout-entity.md)
